Saltar al contingut principal
POST
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
curl --request POST \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Grupo de Workspaces de producción"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "organization_id": "<string>",
  "create_date": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "create_user": "<string>",
  "filter": "<string>",
  "location": {
    "latitude": 123,
    "longitude": 123,
    "address": "<string>",
    "description": "<string>"
  },
  "entra_id_source": {
    "resource_id": "<string>",
    "resource_name": "<string>"
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autoritzacions

Authorization
string
header
requerit

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paràmetres de ruta

organization_id
string
requerit

El identificador únic de l'organització

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Cos

application/json
name
string
requerit
Maximum string length: 512
description
string
Maximum string length: 512
type
enum<string>
predeterminat:static
Opcions disponibles:
static
location
object

Resposta

Grup de workspaces creat correctament. La resposta conté el recurs creat.

id
string
requerit

ID del grup de workspaces

Pattern: ^[0-9a-f]{24}$
name
string
requerit

Nom del grup de workspaces

organization_id
string
requerit

Identificador d'organització

Pattern: ^[0-9a-f]{24}$
create_date
string<date-time>
requerit

Marca de temps de creació

description
string | null

Descripció del grup de workspaces

create_user
string | null

ID de l'usuari que va crear el grup de workspaces

Pattern: ^[0-9a-f]{24}$
type
enum<string> | null

Tipus de grup de workspaces

Opcions disponibles:
static,
dynamic,
entra_id
filter
string | null

Cadena de filtratge per als grups de workspaces dinàmics

location
object | null

Informació de ubicació del grup de workspaces

entra_id_source
object | null

Informació d'origen de Entra ID per al grup de workspaces